﻿/**
* 破線テスト
* @author nutsu
*/

package {
	
	import flash.display.Sprite;
	import flash.geom.Point;
	import flash.events.Event;
	
	public class TestDashLine1 extends Sprite{
		
		
		private var t:Number=0;
		
		/**
		* コンストラクタ
		*/
		public function TestDashLine1(){
			super();
			
			addEventListener( Event.ENTER_FRAME, onEnterFrame );
		}
		
		private function onEnterFrame( e:Event ):void{
			draw(t);
			t += 2;
			t %= 12;
		}
		
		/**
		*	描画
		*/
		private function draw(offset:Number):void{
			var g:DashLine = new DashLine( graphics, 6 );
			
			//ShapeData
			var dat:XML = <shape>
				<edge x0="334.35" y0="60.15" x1="338.1" y1="63" x2="341.6" y2="66.5" line="0" />
				<edge x0="341.6" y0="66.5" x1="345.1" y1="70" x2="348" y2="73.8" line="0" />
				<edge x0="348" y0="73.8" x1="360.15" y1="89.95" x2="360" y2="111.3" line="0" />
				<edge x0="360" y0="111.3" x1="360.25" y1="137.45" x2="341.65" y2="156.05" line="0" />
				<edge x0="341.65" y0="156.05" x1="307.7" y1="190" x2="273.75" y2="223.95" line="1" />
				<edge x0="273.75" y0="223.95" x1="266" y1="231.7" x2="259.8" y2="227.5" line="0" />
				<edge x0="259.8" y0="227.5" x1="254.1" y1="223.6" x2="254.1" y2="213.7" line="0" />
				<edge x0="254.1" y0="213.7" x1="254.15" y1="196.75" x2="254.05" y2="182.85" line="0" />
				<edge x0="254.05" y0="182.85" x1="254.05" y1="172.45" x2="246.75" y2="165.15" line="0" />
				<edge x0="246.75" y0="165.15" x1="239.45" y1="157.75" x2="229" y2="157.7" line="0" />
				<edge x0="229" y0="157.7" x1="218.65" y1="157.75" x2="211.25" y2="165.15" line="0" />
				<edge x0="211.25" y0="165.15" x1="203.95" y1="172.45" x2="203.85" y2="182.85" line="0" />
				<edge x0="203.85" y0="182.85" x1="204.65" y1="237.85" x2="203.95" y2="285.05" line="0" />
				<edge x0="203.95" y0="285.05" x1="203.8" y1="293.9" x2="197.45" y2="300.25" line="0" />
				<edge x0="197.45" y0="300.25" x1="182.2" y1="315.5" x2="166.95" y2="330.75" line="1" />
				<edge x0="166.95" y0="330.75" x1="148.35" y1="349.35" x2="122.05" y2="349.25" line="0" />
				<edge x0="122.05" y0="349.25" x1="95.95" y1="349.25" x2="77.4" y2="330.7" line="0" />
				<edge x0="77.4" y0="330.7" x1="58.85" y1="312.15" x2="58.75" y2="285.95" line="0" />
				<edge x0="58.75" y0="285.95" x1="58.75" y1="259.75" x2="77.35" y2="241.15" line="0" />
				<edge x0="77.35" y0="241.15" x1="164.7" y1="153.8" x2="252.05" y2="66.45" line="1" />
				<edge x0="252.05" y0="66.45" x1="270.6" y1="47.9" x2="296.7" y2="48" line="0" />
				<edge x0="296.7" y0="48" x1="318.05" y1="47.85" x2="334.35" y2="60.15" line="0" />
				</shape>
			
			
			graphics.clear();
			graphics.lineStyle( 2, 0xffffff, 1, false, "normal", "none" );
			
			var p0:Point = new Point( Number(dat.edge[0].@x0) , Number(dat.edge[0].@y0) );
			g.moveTo( p0.x, p0.y, offset );
			
			for each (var edge:XML in dat.edge ){
				var p1:Point = new Point( Number(edge.@x1) , Number(edge.@y1) );
				var p2:Point = new Point( Number(edge.@x2) , Number(edge.@y2) );
				if( edge.@line=="0" ){
					g.curveTo( p1.x, p1.y, p2.x, p2.y );
				}else{
					g.lineTo( p2.x, p2.y );
				}
			}
		}
		
	}
	
}

